class TermsAndConditionModel {
  String? status;
  int? statusCode;
  String? message;
  Data? data;

  TermsAndConditionModel(
      {this.status, this.statusCode, this.message, this.data});

  TermsAndConditionModel.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    statusCode = json['status_code'];
    message = json['message'];
    data = json['data'] != null ? Data.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['status'] = status;
    data['status_code'] = statusCode;
    data['message'] = message;
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}

class Data {
  int? id;
  int? type;
  String? content;
  String? isActive;
  String? createdBy;
  String? modifiedBy;
  String? deletedAt;
  String? createdAt;
  String? updatedAt;

  Data(
      {this.id,
      this.type,
      this.content,
      this.isActive,
      this.createdBy,
      this.modifiedBy,
      this.deletedAt,
      this.createdAt,
      this.updatedAt});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    type = json['type'];
    content = json['content'];
    isActive = json['is_active'];
    createdBy = json['created_by'] ?? "";
    modifiedBy = json['modified_by'] ?? "";
    deletedAt = json['deleted_at'] ?? "";
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['type'] = type;
    data['content'] = content;
    data['is_active'] = isActive;
    data['created_by'] = createdBy;
    data['modified_by'] = modifiedBy;
    data['deleted_at'] = deletedAt;
    data['created_at'] = createdAt;
    data['updated_at'] = updatedAt;
    return data;
  }
}
